import { ReactNode } from 'react';
declare type RenderLeafProps = {
    text: {
        text: string;
    };
    leaf: {
        bold?: boolean;
        italic?: boolean;
        underline?: boolean;
    };
    children: ReactNode;
    attributes: {
        'data-slate-leaf': true;
    };
};
export declare function Leaf({ attributes, children, leaf }: RenderLeafProps): JSX.Element;
export {};
